Summary: Modular Log Analyzer (modlogan)
Name: modlogan
Version: 0.7.4
Release: 1
Source: http://www.kneschke.de/projekte/modlogan/download/modlogan-%version.tar.gz
Packager: Jan Kneschke <jan@kneschke.de>
License: GPL
Group: Web/analizers
Requires: pcre >= 3.1 gd >= 1.8.3 libxml2 >= 2.3.0 libadns1 >= 1.0
BuildPrereq: gd-devel >= 1.8.3 libxml2-devel >= 2.3.0 libadns1-devel >= 1.0
BuildRoot: /var/tmp/%{name}-root


%description
Modlogan is a modular logfile analyzer written by Jan Kneschke.

%prep

%setup

%build
./configure --prefix=/usr --sysconfdir=/etc/

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc
HOSTNAME=`hostname -f`
mkdir -p $RPM_BUILD_ROOT/tmp/$HOSTNAME/modlogan

mkdir -p $RPM_BUILD_ROOT/etc/modlogan/

#sed \
#  -e "s/www.kneschke.de/$HOSTNAME/" \
#  -e "s%modlogan.def.conf%/etc/modlogan.def.conf%" \
#  doc/modlogan.conf-dist > $RPM_BUILD_ROOT/etc/modlogan/modlogan.conf
#sed \
#  -e "s/www.kneschke.de/$HOSTNAME/" \
#  doc/modlogan.def.conf-dist > $RPM_BUILD_ROOT/etc/modlogan/modlogan.def.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog

* Thu May 24 2001 <jan@kneschke.de>
- generalized the buildprocess

* Thu Jul 27 2000 <janneke@gnu.org>
- added modlogan.def.conf
- added plugins
- fixed configure options and dependencies
                                           
* Tue May 24 2000 <janneke@gnu.org>
- initial version



%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL NEWS README
%doc doc/modlogan.conf-dist doc/match.searchengines.conf
%doc doc/license.GD doc/plugin-options.txt
%doc doc/modlogan.def.conf-dist doc/header.ihtml doc/footer.ihtml
%doc doc/Changes-0.7.0.txt doc/modlogan.css-dist
/usr/man/man1/modlogan.1.gz
/usr/bin/modlogan
/etc/modlogan.css-dist
/etc/modlogan.conf-dist
/etc/modlogan.def.conf-dist
/etc/group.ua.conf
/etc/group.os.conf
/etc/group.hosts.conf
/etc/group.extensions.conf
/etc/match.ua.conf
/etc/match.os.conf
/etc/match.searchengines.conf
%attr(1777,root,root) %dir /tmp

/usr/lib/libmla_input_bsdftpd.so
/usr/lib/libmla_input_pureftpd.so
/usr/lib/libmla_input_sendmail.so
/usr/lib/libmla_input_flowraw.so
/usr/lib/libmla_input_msmedia.so
/usr/lib/libmla_input_qmail.so
/usr/lib/libmla_input_viruswall.so
/usr/lib/libmla_input_flow.so
/usr/lib/libmla_input_clf.so
/usr/lib/libmla_input_elmeg.so
/usr/lib/libmla_input_hicom116.so
/usr/lib/libmla_input_isdnlog.so
/usr/lib/libmla_input_ipchains.so
/usr/lib/libmla_input_msiis.so
/usr/lib/libmla_input_null.so
/usr/lib/libmla_input_netscape.so
/usr/lib/libmla_input_qtss.so
/usr/lib/libmla_input_realserver.so
/usr/lib/libmla_input_shoutcast.so
/usr/lib/libmla_input_squid.so
/usr/lib/libmla_input_wuftpd.so
/usr/lib/libmla_output_null.so
/usr/lib/libmla_output_csv.so
/usr/lib/libmla_output_modlogan.so
/usr/lib/libmla_output_template.so
/usr/lib/libmla_output_text.so
/usr/lib/libmla_output_tkcontrol.so
/usr/lib/libmla_output_webalizer.so
/usr/lib/libmla_processor_mail.so
/usr/lib/libmla_processor_null.so
/usr/lib/libmla_processor_accounting.so
/usr/lib/libmla_processor_firewall.so
/usr/lib/libmla_processor_telecom.so
/usr/lib/libmla_processor_web.so
/usr/lib/libmla_mdata_netmask.so
/usr/lib/libmla_mdata_traffic.so
/usr/lib/libmla_mdata_split.so
/usr/lib/libmla_mdata_brokenlink.so
/usr/lib/libmla_mdata_visit.so
/usr/lib/libmla_mdata_sublist.so
/usr/lib/libmla_mdata_webhist.so
/usr/lib/libmla_mdata_state.so
/usr/lib/libmla_mdata_match.so
/usr/lib/libmla_mdata_record.so
/usr/lib/libmla_mdata_query.so
/usr/lib/libmla_mdata_count.so
/usr/lib/libmla_mdata_visited.so
